package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Mcd;
import com.brilliance.isc.vo.component.mcd.McdWithPtsCbbResponseVo;
import com.brilliance.isc.vo.component.mcd.MctselQueryVo;

import java.util.List;

public interface McdMapper {

    int deleteByPrimaryKey(Mcd record);

    int insert(Mcd record);

    int insertSelective(Mcd record);

    Mcd selectByPrimaryKey(Mcd record);

    int updateByPrimaryKeySelective(Mcd record);

    int updateByPrimaryKey(Mcd record);

    List<McdWithPtsCbbResponseVo> queryMcd(MctselQueryVo mctselQueryVo);

    Mcd selectByOwnrefAndBchkeyinr(Mcd record);

    List<McdWithPtsCbbResponseVo> queryMcdInfo(MctselQueryVo mctselQueryVo);

}
